Ubuntu 16.04 ESM:Linux 核心弱點 (USN-5650-1)

high Nessus Plugin ID 165602

概要

遠端 Ubuntu 主機缺少一個或多個安全性更新。

說明

遠端 Ubuntu 16.04 ESM 主機上安裝的一個套件受到 USN-5650-1 公告中提及的多個弱點影響。

- 透過 ioctl cmd FBIOPUT_VSCREENINFO 傳送惡意資料至核心時,核心會超出邊界寫入記憶體。(CVE-2021-33655)

- 當透過 ioctl cmd PIO_FONT 設定包含惡意資料的字型時,核心會超出邊界寫入記憶體。
(CVE-2021-33656)

- 在 Linux 核心的 fs/inode.c:inode_init_owner() 函式邏輯中發現一個弱點,當目錄是 SGID 且隸屬於特定群組,並可由非此群組成員的使用者寫入時,本機使用者可藉此弱點建立具有非預定群組所有權、以及具有群組執行和 SGID 權限位元集的 XFS file-system 檔案,這可能導致系統給予原本不應該給予的過多權限。此弱點與之前的 CVE-2018-13405 弱點類似,現新增了遺漏的 XFS 修補程式。(CVE-2021-4037)

- 在 Linux 核心中發現一個弱點,攻擊者可透過 ext4_extent_header 造成使用者空間發生資訊洩漏。(CVE-2022-0850)

- 在 Linux 核心中發現一個缺陷。此缺陷允許攻擊者從使用者空間模擬 amateur radio,進而導致 null 指標解除參照弱點和釋放後使用弱點,造成 Linux 核心損毀。(CVE-2022-1199)

- 在 Linux 核心的 Amateur Radio AX.25 通訊協定功能中,發現使用者連線至通訊協定的方式存在釋放後使用缺陷,本機使用者可利用此缺陷導致系統當機。(CVE-2022-1204)

- 在 Linux 核心的 perf_event_open() 中發現爭用情形,無權限的使用者可藉此取得 root 權限。惡意使用者可利用此錯誤構建數個攻擊程式原語,例如核心位址資訊洩漏、任意執行等 (CVE-2022-1729)

- 產品:Android 版本:Android 核心 Android ID:A-224546354References:上游核心 (CVE-2022-20368)

- 在 openvswitch 核心模組中發現整數強制轉換錯誤。假設有足夠多的動作,當針對新流程的新動作複製和保留記憶體時,reserve_sfa_size() 函式並未如預期傳回 -EMSGSIZE,這可能導致超出邊界寫入存取。本機使用者可利用此缺陷造成系統當機,或可能提升自己的系統權限。(CVE-2022-2639)

- 在 Linux 核心的 ASIX AX88179_178A 型 USB 2.0/3.0 Gigabit 乙太網路裝置驅動程式中發現一個缺陷。此弱點包含多個超出邊界讀取問題,並可能造成超出邊界寫入。
(CVE-2022-2964)

- 在使用者觸發 security_inode_alloc 函式失敗並於隨後呼叫 nilfs_mdt_destroy 函式的方式中,發現 Linux 核心的 NILFS 檔案系統存在釋放後使用缺陷。本機使用者可利用此缺陷使系統當機,或可能提升其在系統中的權限。(CVE-2022-2978)

- 當同時發生多個對 xfrm_probe_algs 的呼叫時,發現 Linux 核心中用於轉換封包的 IP 架構 (XFRM 子系統) 存在爭用情形。此缺陷讓本機攻擊者可能透過執行超出邊界讀取並將其複製到通訊端,來觸發超出邊界寫入或洩漏核心堆積記憶體。(CVE-2022-3028)

- 在 Linux 核心的日誌檔案系統 (JFS) 中,發現 fs/jfs/inode.c 的 diFree 中存在 NULL 指標解除參照缺陷。此缺陷允許本機攻擊者造成系統當機或洩漏核心內部資訊。
(CVE-2022-3202)

- 在 Linux 核心 5.18.14 以及之前版本中,net/netfilter/nfnetlink_queue.c 中的 nfqnl_mangle 允許遠端攻擊者造成拒絕服務 (錯誤),這是因爲當 nf_queue 判定包含一個位元組的 nfta_payload 屬性時,skb_pull 可能遇到負數 skb->len。(CVE-2022-36946)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 kernel 套件。

另請參閱

https://ubuntu.com/security/notices/USN-5650-1

Plugin 詳細資訊

嚴重性: High

ID: 165602

檔案名稱: ubuntu_USN-5650-1.nasl

版本: 1.7

類型: local

代理程式: unix

已發布: 2022/9/30

已更新: 2024/1/9

支援的感應器: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

風險資訊

VPR

風險因素: Critical

分數: 9.2

CVSS v2

風險因素: High

基本分數: 7.2

時間分數: 6.3

媒介: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

CVSS 評分資料來源: CVE-2021-33656

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 7.5

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:H/RL:O/RC:C

CVSS 評分資料來源: CVE-2022-2978

弱點資訊

CPE: p-cpe:/a:canonical:ubuntu_linux:linux-image-4.4.0-234-generic, p-cpe:/a:canonical:ubuntu_linux:linux-image-4.4.0-234-lowlatency, p-cpe:/a:canonical:ubuntu_linux:linux-image-4.4.0-1151-aws, cpe:/o:canonical:ubuntu_linux:16.04:-:esm, p-cpe:/a:canonical:ubuntu_linux:linux-image-4.4.0-1114-kvm

必要的 KB 項目: Host/cpu, Host/Debian/dpkg-l, Host/Ubuntu, Host/Ubuntu/release

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2022/9/30

弱點發布日期: 2022/4/18

參考資訊

CVE: CVE-2021-33655, CVE-2021-33656, CVE-2021-4037, CVE-2022-0850, CVE-2022-1199, CVE-2022-1204, CVE-2022-1729, CVE-2022-20368, CVE-2022-2639, CVE-2022-2964, CVE-2022-2978, CVE-2022-3028, CVE-2022-3202, CVE-2022-36946

USN: 5650-1